package com.izouma.awesomeadmin.service;

import java.util.*;
import com.izouma.awesomeadmin.dto.Page;
import com.izouma.awesomeadmin.model.AboutUs;


/**
*  service接口类
*/
public interface AboutUsService{

    List<AboutUs> getAboutUsList(AboutUs record);

    List<AboutUs> getAboutUsByPage(Page page, AboutUs record);

    AboutUs getAboutUsById(String id);

    AboutUs getAboutUs(AboutUs record);

    boolean createAboutUs(AboutUs record);

    boolean deleteAboutUs(String id);

    boolean updateAboutUs(AboutUs record);
}

